commit:     2b8e5c1029efa149b3b9b6ee4796a04931f3ab27
Author:     Jakov Smolic <jakov.smolic <AT> sartura <DOT> hr>
AuthorDate: Sat Nov 28 23:09:06 2020 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sat Nov 28 23:09:06 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2b8e5c10

net-proxy/ziproxy: port to EAPI 7 and GLEP 81

Closes: https://bugs.gentoo.org/707626
Package-Manager: Portage-3.0.9, Repoman-3.0.1
Signed-off-by: Jakov Smolic <jakov.smolic <AT> sartura.hr>
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 .../ziproxy/files/ziproxy-3.3.1-fno-common.patch      | 19 +++++++++++++++++++
 ...iproxy-3.3.1-r1.ebuild => ziproxy-3.3.1-r2.ebuild} | 19 +++++++++----------
 2 files changed, 28 insertions(+), 10 deletions(-)

diff --git a/net-proxy/ziproxy/files/ziproxy-3.3.1-fno-common.patch 
b/net-proxy/ziproxy/files/ziproxy-3.3.1-fno-common.patch
new file mode 100644
index 00000000000..5b6735c5d88
--- /dev/null
+++ b/net-proxy/ziproxy/files/ziproxy-3.3.1-fno-common.patch
@@ -0,0 +1,19 @@
+--- a/src/tosmarking.c      2020-05-21 14:56:31.095000000 +0900
++++ b/src/tosmarking.c      2020-05-21 14:58:11.720000000 +0900
+@@ -36,11 +36,11 @@
+ /* private, local. those are not the same as the vars with the same name */
+ int tosmarking_enabled;
+ SOCKET sock_child_out;
+-int TOSFlagsDefault;
+-int TOSFlagsDiff;
+-const t_ut_urltable *tos_markasdiff_url;
+-const t_ct_cttable *tos_maskasdiff_ct;
+-ZP_DATASIZE_TYPE TOSMarkAsDiffSizeBT;
++extern int TOSFlagsDefault;
++extern int TOSFlagsDiff;
++extern const t_ut_urltable *tos_markasdiff_url;
++extern const t_ct_cttable *tos_maskasdiff_ct;
++extern ZP_DATASIZE_TYPE TOSMarkAsDiffSizeBT;
+
+ int current_tos;
+ ZP_DATASIZE_TYPE tos_bytecount;        /* counter used by TOSMarkAsDiffSizeBT 
*/

diff --git a/net-proxy/ziproxy/ziproxy-3.3.1-r1.ebuild 
b/net-proxy/ziproxy/ziproxy-3.3.1-r2.ebuild
similarity index 86%
rename from net-proxy/ziproxy/ziproxy-3.3.1-r1.ebuild
rename to net-proxy/ziproxy/ziproxy-3.3.1-r2.ebuild
index b5d92bd3fad..ee73d8bdc66 100644
--- a/net-proxy/ziproxy/ziproxy-3.3.1-r1.ebuild
+++ b/net-proxy/ziproxy/ziproxy-3.3.1-r2.ebuild
@@ -1,8 +1,7 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
-inherit user
+EAPI=7
 
 DESCRIPTION="A forwarding, non-caching, compressing web proxy server"
 HOMEPAGE="http://ziproxy.sourceforge.net/";
@@ -14,6 +13,8 @@ KEYWORDS="~amd64 ~ppc ~sparc ~x86"
 IUSE="sasl xinetd"
 
 RDEPEND="
+       acct-group/ziproxy
+       acct-user/ziproxy
        media-libs/giflib:0=
        media-libs/libpng:0=
        virtual/jpeg:0
@@ -23,12 +24,10 @@ RDEPEND="
 "
 DEPEND="${RDEPEND}"
 
-PATCHES=( "${FILESDIR}"/${P}-giflib5.patch )
-
-pkg_setup() {
-       enewgroup ziproxy
-       enewuser ziproxy -1 -1 -1 ziproxy
-}
+PATCHES=(
+       "${FILESDIR}"/${P}-giflib5.patch
+       "${FILESDIR}"/${P}-fno-common.patch
+)
 
 src_prepare() {
        default
@@ -58,7 +57,7 @@ src_install() {
        default
 
        dodir /usr/sbin
-       mv -vf "${D}"usr/{,s}bin/ziproxy || die
+       mv -vf "${ED}"/usr/{,s}bin/ziproxy || die
 
        dobin src/tools/ziproxy_genhtml_stats.sh
 

Reply via email to